%define  srcname %{name}.4

%define  major 9
%define  libname %mklibname %{name} %{major}
%define  develname %mklibname -d %name
%define  sdevelname %mklibname -d -s %name

Name:    proj
Version: 4.9.2
Release: %mkrel 1
Summary: Cartographic projection software
Group:   Sciences/Geosciences
Source0: ftp://ftp.remotesensing.org/pub/proj/%{srcname}-%{version}.tar.gz
Source1: ftp://ftp.remotesensing.org/pub/proj/proj-datumgrid-1.5.zip
License: MIT
URL:     https://github.com/OSGeo/proj.4.git

Provides: proj4

%description
Cartographic projection software and libraries.


#-------------------------------------------------------------------------

%package -n %{libname}
Summary: Cartographic projection software - Libraries
Group: System/Libraries
License: MIT

%description -n %{libname}
Cartographic projection software and libraries.


#-------------------------------------------------------------------------



%package -n %{develname}
Summary:   Cartographic projection software - Development files
Group:     Development/Other
Provides:  %{name}-devel = %{version}
Provides:  proj4-devel = %{version}
Provides:  libproj4-devel = %{version}
Requires:  %{libname} = %{version}
Obsoletes: %{mklibname -d proj 0}

%description -n %{develname}
Cartographic projection development files.



#-------------------------------------------------------------------------


%package -n %sdevelname
Summary:   Cartographic projection software - Development files
Group:     Development/Other
Provides:  %name-static-devel = %{version}
Provides:  proj4-static-devel = %{version}
Provides:  libproj4-static-devel = %{version}
Requires:  %{develname} = %{version}
Requires:  %{libname} = %version-%release
Obsoletes: %{mklibname -d -s proj 0}

%description -n %{sdevelname}
Cartographic projection development files (static).


#-------------------------------------------------------------------------

%prep
%setup -D -q -n %{srcname}-%{version}
pushd nad
unzip -qqo %{SOURCE1}
popd

%build
%configure2_5x
%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_includedir}
install -m644 src/projects.h %{buildroot}%{_includedir}/

find %{buildroot}%{_libdir} -name *.la -delete


%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/proj



%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/proj.pc


%files -n %{sdevelname}
%{_libdir}/*.a


%changelog
* Thu May 19 2016 eatdirt <eatdirt> 4.9.2-1.mga6
+ Revision: 1016869
- Upgrade to version 4.9.2

* Wed Feb 03 2016 umeabot <umeabot> 4.8.0-7.mga6
+ Revision: 933604
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.8.0-6.mga5
+ Revision: 740678
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.8.0-5.mga5
+ Revision: 687793
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.8.0-4.mga4
+ Revision: 517662
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.8.0-3.mga3
+ Revision: 378237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 obgr_seneca <obgr_seneca> 4.8.0-2.mga3
+ Revision: 254536
- Readded projects.h that is needed by ogdi/gdal

* Mon Jun 04 2012 obgr_seneca <obgr_seneca> 4.8.0-1.mga3
+ Revision: 253948
- New version 4.8.0

* Thu Mar 24 2011 ennael <ennael> 4.7.0-2.mga1
+ Revision: 76911
- clean spec file
- imported package proj

